using RebootKit.Engine.Foundation;
using UnityEngine;
using Logger = RebootKit.Engine.Foundation.Logger;

namespace RebootKit.Engine.Console {
    [CreateAssetMenu(menuName = RConsts.k_ServiceAssetMenu + "Console")]
    public class ConsoleServiceAsset : ServiceAsset<ConsoleService> {
        static readonly Logger s_logger = new Logger(nameof(ConsoleServiceAsset));

        public override ConsoleService Create() {
            ConsoleService service = new ConsoleService();
            return service;
        }
    }
}